#include <LINK/basic/Set.h>
#include <LINK/graph/Attribute.h>
#include <LINK/graph/Graph.h>
#include <LINK/generator/Generators.h>
#include <LINK/layout/Layouts.h>
#include <LINK/algorithm/Algorithms.h>
#include <LINK/stkWrapper/LINK_STk.h>

void RevealEdgesByRank(Graph *g, char *graph_view)
{
	if (!g)
		return;
	Edge *e;
	Iterator<Edge*> get_edge(&g->edges());
	while (get_edge(e)) {
		animateEdge(e, graph_view, "color",
				"color", INIT_STEP, (char*) "white");
	}
	get_edge.reset();
	while (get_edge(e)) {
		animateEdge(e, graph_view, "color",
				"color", ALG_STEP, (char*) "black", FLASH,0,0);
	}
}
